14
Янв
2021

Проблема с модулем youtube_dl на python

Цель данного кода в скачивании аудио файла с ютуба. Аудиофайл скачивает, но не в заданном формате mp3, а webm и после ошибок окно консольное не закрывается

Во время компиляции проекта стали возникать ошибки:

`ERROR: ffprobe/avprobe and ffmpeg/avconv not found. Please install one.
Exception in Tkinter callback
Traceback (most recent call last):
  File "D:\Python\lib\site-packages\youtube_dl\YoutubeDL.py", line 2075, in post_process files_to_delete, info = pp.run(info)
  File "D:\Python\lib\site-packages\youtube_dl\postprocessor\ffmpeg.py", line 272, in run
    filecodec = self.get_audio_codec(path)
  File "D:\Python\lib\site-packages\youtube_dl\postprocessor\ffmpeg.py", line 166, in get_audio_codec
    raise PostProcessingError('ffprobe/avprobe and ffmpeg/avconv not found. Please install one.')
youtube_dl.utils.PostProcessingError: ffprobe/avprobe and ffmpeg/avconv not found. Please install one.


During handling of the above exception, another exception occurred:
Traceback (most recent call last):
  File "D:/Python_code/graphic_interface/AudioYouTube.py", line 24, in downloader ydl.download([res])
  File "D:\Python\lib\site-packages\youtube_dl\YoutubeDL.py", line 2028, in download res = self.extract_info(
  File "D:\Python\lib\site-packages\youtube_dl\YoutubeDL.py", line 796, in extract_info return self.__extract_info(url, ie, download, extra_info, process)
  File "D:\Python\lib\site-packages\youtube_dl\YoutubeDL.py", line 803, in wrapper return func(self, *args, **kwargs)
  File "D:\Python\lib\site-packages\youtube_dl\YoutubeDL.py", line 835, in __extract_info

Сижу через PyCharm и честно говоря без понятия в чем проблема...

Источник: https://ru.stackoverflow.com/questions/1231197/%D0%9F%D1%80%D0%BE%D0%B1%D0%BB%D0%B5%D0%BC%D0%B0-%D1%81-%D0%BC%D0%BE%D0%B4%D1%83%D0%BB%D0%B5%D0%BC-youtube-dl-%D0%BD%D0%B0-python

Тебе может это понравится...

Добавить комментарий